## python-nuheat 1.0.1

=== requirements.txt ===
requests>=2.28.1

=== debian/changelog ===
python-nuheat (1.0.1-3) unstable; urgency=medium

  * Remove dependency on old external mock. Thanks Alexandre Detiste!
  * Also remove mock from debian/control and debian/tests/control.
  * Add myself to Uploaders.
  * Add debian/salsa-ci.yml.

 -- Tianyu Chen <billchenchina2001@gmail.com>  Tue, 02 Sep 2025 02:16:23 +0800

python-nuheat (1.0.1-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Thu, 12 Sep 2024 09:25:55 +0100

python-nuheat (1.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1080019)

 -- Edward Betts <edward@4angle.com>  Thu, 29 Aug 2024 17:21:43 +0100

=== debian/control ===
Source: python-nuheat
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
 Tianyu Chen <billchenchina2001@gmail.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-responses <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/broox/python-nuheat
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-nuheat
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-nuheat.git

Package: python3-nuheat
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library for controlling NuHeat Signature radiant floor thermostats
 This library enables control of NuHeat Signature radiant floor thermostats. It
 connects to the NuHeat web-based API to manage and monitor thermostat settings
 remotely. Users can fetch the current temperature, set target temperatures,
 and switch between different modes such as auto, temporary hold, or permanent
 hold. The library facilitates interactions with the thermostat’s
 functionalities including setting temperature until a specified time, resuming
 programmed schedules, and retrieving thermostat properties like heating status
 and online status. An internet connection is required to use the API.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=nuheat
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf nuheat.egg-info/

=== debian/tests/control ===
Tests: run-tests
Depends:
 python3-all,
 python3-pytest,
 python3-pytest-cov,
 python3-responses,
 @,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-nuheat-$1\.tar\.gz/ \
  https://github.com/broox/python-nuheat/tags .*/v?(\d\S+)\.tar\.gz
